Q_XQUOTAOFF(2const)

NAME
Q_XQUOTAOFF - turn off quotas for an XFS filesystem

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <xfs/xqm.h>      /* See quotactl(2) */
#include <sys/quota.h>

int quotactl(QCMD(Q_XQUOTAOFF, type), const char *_Nullable special, 0,
             caddr_t addr);

#include <xfs/xqm.h>      /* See quotactl_fd(2) */
#include <sys/syscall.h>  /* Definition of SYS_* constants */
#include <unistd.h>

int syscall(SYS_quotactl_fd, int fd, QCMD(Q_XQUOTAOFF, type), 0,
            unsigned int *addr);

DESCRIPTION
Turn off quotas for an XFS filesystem.

As with Q_XQUOTAON(2const), XFS filesystems expect a pointer to an unsigned int that specifies whether quota accounting and/or limit enforcement need to be turned off (using the same flags as for Q_XQUOTAON(2const)).

This operation requires privilege (CAP_SYS_ADMIN).

RETURN VALUE
See quotactl(2).

ERRORS
See quotactl(2).

STANDARDS
Linux.

HISTORY
Linux.

SEE ALSO
quotactl(2), quotactl_fd(2), Q_XQUOTAON(2const)